Create Assistant
curl --request POST \
--url https://api.staging.kathan.tech/assistants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-ID: <api-key>' \
--data '
{
"name": "<string>",
"system_instruction": "<string>",
"icon": "📞",
"guardrails": "",
"first_message": "<string>",
"voice": {
"voice_id": "<string>",
"tts_provider": "cartesia",
"tts_model": "sonic-3",
"language": "en",
"speed": 1
},
"llm": {
"llm_provider": "openai",
"model": "gpt-4o-mini"
},
"transcriber": {
"stt_provider": "deepgram",
"stt_model": "nova-3",
"language": "en"
},
"knowledge_base_ids": [
"<string>"
],
"phone_number_id": "<string>",
"assistant_speaks_first": true,
"speech_settings": {
"style": "neutral",
"responsiveness": "balanced",
"interruptions": "on",
"emotions": "natural"
},
"long_term_memory": {
"enabled": false,
"search_limit": 5,
"search_threshold": 0.1,
"system_prompt": "Relevant, user-specific context from previous conversations:\n\n"
},
"short_term_memory": {
"enabled": false,
"search_limit": 3
},
"call_summary": {
"prompt": "<string>"
},
"recording": {
"enabled": false,
"stereo": true,
"mp3_enabled": true
},
"call_actions": {
"enabled": true,
"allow_hangup": true,
"allow_transfer": true,
"hangup_triggers": [
"<string>"
],
"transfer_triggers": [
"<string>"
],
"transfer_number": "<string>",
"transfer_mode": "cold",
"confirm_required": true,
"auto_hangup_silence_seconds": 123,
"confirm_yes": [
"<string>"
],
"confirm_no": [
"<string>"
],
"webhook_url": "<string>",
"webhook_timeout_ms": 3500
},
"machine_detection_timeout_seconds": 123
}
'import requests
url = "https://api.staging.kathan.tech/assistants"
payload = {
"name": "<string>",
"system_instruction": "<string>",
"icon": "📞",
"guardrails": "",
"first_message": "<string>",
"voice": {
"voice_id": "<string>",
"tts_provider": "cartesia",
"tts_model": "sonic-3",
"language": "en",
"speed": 1
},
"llm": {
"llm_provider": "openai",
"model": "gpt-4o-mini"
},
"transcriber": {
"stt_provider": "deepgram",
"stt_model": "nova-3",
"language": "en"
},
"knowledge_base_ids": ["<string>"],
"phone_number_id": "<string>",
"assistant_speaks_first": True,
"speech_settings": {
"style": "neutral",
"responsiveness": "balanced",
"interruptions": "on",
"emotions": "natural"
},
"long_term_memory": {
"enabled": False,
"search_limit": 5,
"search_threshold": 0.1,
"system_prompt": "Relevant, user-specific context from previous conversations:
"
},
"short_term_memory": {
"enabled": False,
"search_limit": 3
},
"call_summary": { "prompt": "<string>" },
"recording": {
"enabled": False,
"stereo": True,
"mp3_enabled": True
},
"call_actions": {
"enabled": True,
"allow_hangup": True,
"allow_transfer": True,
"hangup_triggers": ["<string>"],
"transfer_triggers": ["<string>"],
"transfer_number": "<string>",
"transfer_mode": "cold",
"confirm_required": True,
"auto_hangup_silence_seconds": 123,
"confirm_yes": ["<string>"],
"confirm_no": ["<string>"],
"webhook_url": "<string>",
"webhook_timeout_ms": 3500
},
"machine_detection_timeout_seconds": 123
}
headers = {
"Authorization": "Bearer <token>",
"X-User-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-User-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
system_instruction: '<string>',
icon: '📞',
guardrails: '',
first_message: '<string>',
voice: {
voice_id: '<string>',
tts_provider: 'cartesia',
tts_model: 'sonic-3',
language: 'en',
speed: 1
},
llm: {llm_provider: 'openai', model: 'gpt-4o-mini'},
transcriber: {stt_provider: 'deepgram', stt_model: 'nova-3', language: 'en'},
knowledge_base_ids: ['<string>'],
phone_number_id: '<string>',
assistant_speaks_first: true,
speech_settings: {
style: 'neutral',
responsiveness: 'balanced',
interruptions: 'on',
emotions: 'natural'
},
long_term_memory: {
enabled: false,
search_limit: 5,
search_threshold: 0.1,
system_prompt: 'Relevant, user-specific context from previous conversations:\n\n'
},
short_term_memory: {enabled: false, search_limit: 3},
call_summary: {prompt: '<string>'},
recording: {enabled: false, stereo: true, mp3_enabled: true},
call_actions: {
enabled: true,
allow_hangup: true,
allow_transfer: true,
hangup_triggers: ['<string>'],
transfer_triggers: ['<string>'],
transfer_number: '<string>',
transfer_mode: 'cold',
confirm_required: true,
auto_hangup_silence_seconds: 123,
confirm_yes: ['<string>'],
confirm_no: ['<string>'],
webhook_url: '<string>',
webhook_timeout_ms: 3500
},
machine_detection_timeout_seconds: 123
})
};
fetch('https://api.staging.kathan.tech/assistants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"system_instruction": "<string>",
"voice": {
"voice_id": "<string>",
"tts_provider": "cartesia",
"tts_model": "sonic-3",
"language": "en",
"speed": 1
},
"llm": {
"llm_provider": "openai",
"model": "gpt-4o-mini"
},
"transcriber": {
"stt_provider": "deepgram",
"stt_model": "nova-3",
"language": "en"
},
"speech_settings": {
"style": "neutral",
"responsiveness": "balanced",
"interruptions": "on",
"emotions": "natural"
},
"long_term_memory": {
"enabled": false,
"search_limit": 5,
"search_threshold": 0.1,
"system_prompt": "Relevant, user-specific context from previous conversations:\n\n"
},
"short_term_memory": {
"enabled": false,
"search_limit": 3
},
"call_summary": {
"prompt": "<string>"
},
"recording": {
"enabled": false,
"stereo": true,
"mp3_enabled": true
},
"call_actions": {
"enabled": true,
"allow_hangup": true,
"allow_transfer": true,
"hangup_triggers": [
"<string>"
],
"transfer_triggers": [
"<string>"
],
"transfer_number": "<string>",
"transfer_mode": "cold",
"confirm_required": true,
"auto_hangup_silence_seconds": 123,
"confirm_yes": [
"<string>"
],
"confirm_no": [
"<string>"
],
"webhook_url": "<string>",
"webhook_timeout_ms": 3500
},
"icon": "📞",
"guardrails": "",
"first_message": "<string>",
"knowledge_base_ids": [],
"phone_number_id": "<string>",
"assistant_speaks_first": true,
"machine_detection_timeout_seconds": 123,
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Assistants
Create Assistant
POST
/
assistants
Create Assistant
Authorizations
API key authentication.
Required user id for API key requests.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I